import React from 'react';
import HtmlEditor from 'devextreme-react/html-editor';
import { employees } from './data.ts';
const mentionsConfig = [{
dataSource: employees,
searchExpr: 'text',
displayExpr: 'text',
valueExpr: 'text',
}];
export default function App() {
return (
<div>
<div id="chat-window">
<div className="message" tabIndex={0}>
<div className="photo">
<img alt="Kevin Carter" src="../../../../images/mentions/Kevin-Carter.png" />
</div>
<div className="name">
Kevin Carter
</div>
<div className="date">
07/03/19 - 12:22AM
</div>
<div className="text">
<span className="dx-mention" spellCheck="false"><span><span>@</span>John Heart</span></span> What experience do you have in this field?
</div>
</div>
<br />
<div className="message" tabIndex={0}>
<div className="photo">
<img alt="John Heart" src="../../../../images/mentions/John-Heart.png" />
</div>
<div className="name">
John Heart
</div>
<div className="date">
07/03/19 - 12:25AM
</div>
<div className="text">
I've been in the audio/video industry since 2001,
and I've been the CEO of DevAv since 2009.
</div>
</div>
<br />
<div className="message" tabIndex={0}>
<div className="photo">
<img alt="Kevin Carter" src="../../../../images/mentions/Kevin-Carter.png" />
</div>
<div className="name">
Kevin Carter
</div>
<div className="date">
07/03/19 - 12:26AM
</div>
<div className="text">
That's very interesting. <span className="dx-mention" spellCheck="false"><span><span>@</span>Olivia Peyton</span></span>, what do you think?
</div>
</div>
</div>
<HtmlEditor
mentions={mentionsConfig}>
<p>
<span className="dx-mention" spellCheck="false" data-marker="@" data-mention-value="Kevin Carter"><span><span>@</span>Kevin Carter</span></span>
{" I think John's expertise can be very valuable in our startup."}
</p>
</HtmlEditor>
</div>
);
}
import React from 'react';
import HtmlEditor from 'devextreme-react/html-editor';
import { employees } from './data.js';
const mentionsConfig = [
{
dataSource: employees,
searchExpr: 'text',
displayExpr: 'text',
valueExpr: 'text',
},
];
export default function App() {
return (
<div>
<div id="chat-window">
<div
className="message"
tabIndex={0}
>
<div className="photo">
<img
alt="Kevin Carter"
src="../../../../images/mentions/Kevin-Carter.png"
/>
</div>
<div className="name">Kevin Carter</div>
<div className="date">07/03/19 - 12:22AM</div>
<div className="text">
<span
className="dx-mention"
spellCheck="false"
>
<span>
<span>@</span>John Heart
</span>
</span>{' '}
What experience do you have in this field?
</div>
</div>
<br />
<div
className="message"
tabIndex={0}
>
<div className="photo">
<img
alt="John Heart"
src="../../../../images/mentions/John-Heart.png"
/>
</div>
<div className="name">John Heart</div>
<div className="date">07/03/19 - 12:25AM</div>
<div className="text">
I've been in the audio/video industry since 2001, and I've been the CEO of
DevAv since 2009.
</div>
</div>
<br />
<div
className="message"
tabIndex={0}
>
<div className="photo">
<img
alt="Kevin Carter"
src="../../../../images/mentions/Kevin-Carter.png"
/>
</div>
<div className="name">Kevin Carter</div>
<div className="date">07/03/19 - 12:26AM</div>
<div className="text">
That's very interesting.{' '}
<span
className="dx-mention"
spellCheck="false"
>
<span>
<span>@</span>Olivia Peyton
</span>
</span>
, what do you think?
</div>
</div>
</div>
<HtmlEditor mentions={mentionsConfig}>
<p>
<span
className="dx-mention"
spellCheck="false"
data-marker="@"
data-mention-value="Kevin Carter"
>
<span>
<span>@</span>Kevin Carter
</span>
</span>
{" I think John's expertise can be very valuable in our startup."}
</p>
</HtmlEditor>
</div>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const employees = [{
text: 'John Heart',
team: 'Engineering',
icon: '../../../../images/mentions/John-Heart.png',
}, {
text: 'Kevin Carter',
team: 'Engineering',
icon: '../../../../images/mentions/Kevin-Carter.png',
}, {
text: 'Olivia Peyton',
team: 'Management',
icon: '../../../../images/mentions/Olivia-Peyton.png',
}, {
text: 'Robert Reagan',
team: 'Management',
icon: '../../../../images/mentions/Robert-Reagan.png',
}, {
text: 'Cynthia Stanwick',
team: 'Engineering',
icon: '../../../../images/mentions/Cynthia-Stanwick.png',
}, {
text: 'Brett Wade ',
team: 'Analysis',
icon: '../../../../images/mentions/Brett-Wade.png',
}, {
text: 'Greta Sims',
team: 'QA',
icon: '../../../../images/mentions/Greta-Sims.png',
}];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const employees = [
{
text: 'John Heart',
team: 'Engineering',
icon: '../../../../images/mentions/John-Heart.png',
},
{
text: 'Kevin Carter',
team: 'Engineering',
icon: '../../../../images/mentions/Kevin-Carter.png',
},
{
text: 'Olivia Peyton',
team: 'Management',
icon: '../../../../images/mentions/Olivia-Peyton.png',
},
{
text: 'Robert Reagan',
team: 'Management',
icon: '../../../../images/mentions/Robert-Reagan.png',
},
{
text: 'Cynthia Stanwick',
team: 'Engineering',
icon: '../../../../images/mentions/Cynthia-Stanwick.png',
},
{
text: 'Brett Wade ',
team: 'Analysis',
icon: '../../../../images/mentions/Brett-Wade.png',
},
{
text: 'Greta Sims',
team: 'QA',
icon: '../../../../images/mentions/Greta-Sims.png',
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chat-window {
background-color: rgba(191, 191, 191, 0.15);
height: 350px;
padding: 10px;
}
.dx-htmleditor {
height: 100px;
}
#send {
float: right;
margin: 10px 0;
}
.message {
height: 85px;
background-color: var(--dx-component-color-bg);
display: inline-block;
max-width: 60%;
border-radius: 5px;
margin: 5px;
padding: 10px;
box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}
.name {
font-weight: bold;
}
.date {
color: var(--dx-color-icon);
}
.photo {
float: left;
height: 100%;
}
.photo > img {
width: 40px;
height: 40px;
display: block;
border-radius: 40px;
margin-right: 10px;
}

<template>
<div>
<div id="chat-window">
<div
class="message"
tabindex="0"
>
<div class="photo">
<img
alt="Kevin Carter"
:src="'../../../../images/mentions/Kevin-Carter.png'"
>
</div>
<div class="name">
Kevin Carter
</div>
<div class="date">
07/03/19 - 12:22AM
</div>
<div class="text">
<span
class="dx-mention"
spellcheck="false"
><span><span>@</span>John Heart</span></span> What experience do you have in this field?
</div>
</div>
<br>
<div
class="message"
tabindex="0"
>
<div class="photo">
<img
alt="John Heart"
:src="'../../../../images/mentions/John-Heart.png'"
>
</div>
<div class="name">
John Heart
</div>
<div class="date">
07/03/19 - 12:25AM
</div>
<div class="text">
I've been in the audio/video industry since 2001,
and I've been the CEO of DevAv since 2009.
</div>
</div>
<br>
<div
class="message"
tabindex="0"
>
<div class="photo">
<img
alt="Kevin Carter"
:src="'../../../../images/mentions/Kevin-Carter.png'"
>
</div>
<div class="name">
Kevin Carter
</div>
<div class="date">
07/03/19 - 12:26AM
</div>
<div class="text">
That's very interesting. <span
class="dx-mention"
spellcheck="false"
><span><span>@</span>Olivia Peyton</span></span>, what do you think?
</div>
</div>
</div>
<DxHtmlEditor
:mentions="mentions"
>
<p>
<span
class="dx-mention"
spellcheck="false"
data-marker="@"
data-mention-value="Kevin Carter"
><span><span>@</span>Kevin Carter</span></span>
I think John's expertise can be very valuable in our startup.
</p>
</DxHtmlEditor>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxHtmlEditor,
} from 'devextreme-vue/html-editor';
import { employees } from './data.ts';
const mentions = ref([{
dataSource: employees,
searchExpr: 'text',
displayExpr: 'text',
valueExpr: 'text',
}]);
</script>
<style>
#chat-window {
background-color: rgba(191, 191, 191, 0.15);
height: 350px;
padding: 10px;
}
.dx-htmleditor {
height: 100px;
}
#send {
float: right;
margin: 10px 0;
}
.message {
height: 85px;
background-color: var(--dx-component-color-bg);
display: inline-block;
max-width: 60%;
border-radius: 5px;
margin: 5px;
padding: 10px;
box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}
.name {
font-weight: bold;
}
.date {
color: var(--dx-color-icon);
}
.photo {
float: left;
height: 100%;
}
.photo > img {
width: 40px;
height: 40px;
display: block;
border-radius: 40px;
margin-right: 10px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const employees = [{
text: 'John Heart',
team: 'Engineering',
icon: '../../../../images/mentions/John-Heart.png',
}, {
text: 'Kevin Carter',
team: 'Engineering',
icon: '../../../../images/mentions/Kevin-Carter.png',
}, {
text: 'Olivia Peyton',
team: 'Management',
icon: '../../../../images/mentions/Olivia-Peyton.png',
}, {
text: 'Robert Reagan',
team: 'Management',
icon: '../../../../images/mentions/Robert-Reagan.png',
}, {
text: 'Cynthia Stanwick',
team: 'Engineering',
icon: '../../../../images/mentions/Cynthia-Stanwick.png',
}, {
text: 'Brett Wade ',
team: 'Analysis',
icon: '../../../../images/mentions/Brett-Wade.png',
}, {
text: 'Greta Sims',
team: 'QA',
icon: '../../../../images/mentions/Greta-Sims.png',
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

<div id="chat-window">
<div class="message" tabindex="0">
<div class="photo">
<img
alt="Kevin Carter"
src="../../../../images/mentions/Kevin-Carter.png"
/>
</div>
<div class="name"> Kevin Carter </div>
<div class="date"> 07/03/19 - 12:22AM </div>
<div class="text">
<span class="dx-mention" spellcheck="false"
><span><span>@</span>John Heart</span></span
>
What experience do you have in this field?
</div>
</div>
<br />
<div class="message" tabindex="0">
<div class="photo">
<img alt="John Heart" src="../../../../images/mentions/John-Heart.png" />
</div>
<div class="name"> John Heart </div>
<div class="date"> 07/03/19 - 12:25AM </div>
<div class="text">
I've been in the audio/video industry since 2001, and I've been the CEO of
DevAv since 2009.
</div>
</div>
<br />
<div class="message" tabindex="0">
<div class="photo">
<img
alt="Kevin Carter"
src="../../../../images/mentions/Kevin-Carter.png"
/>
</div>
<div class="name"> Kevin Carter </div>
<div class="date"> 07/03/19 - 12:26AM </div>
<div class="text">
That's very interesting.
<span class="dx-mention" spellcheck="false"
><span><span>@</span>Olivia Peyton</span></span
>, what do you think?
</div>
</div>
</div>
<dx-html-editor>
<dxi-html-editor-mention
valueExpr="text"
displayExpr="text"
searchExpr="text"
[dataSource]="employees"
></dxi-html-editor-mention>
<p>
<span
class="dx-mention"
spellcheck="false"
data-marker="@"
data-mention-value="Kevin Carter"
><span><span>@</span>Kevin Carter</span></span
>
I think John's expertise can be very valuable in our startup.
</p>
</dx-html-editor>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxHtmlEditorModule } from 'devextreme-angular';
import { Employee, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxHtmlEditorModule,
],
})
export class AppComponent {
employees: Employee[];
constructor(service: Service) {
this.employees = service.getEmployees();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #chat-window {
background-color: rgba(191, 191, 191, 0.15);
height: 350px;
padding: 10px;
}
::ng-deep .dx-htmleditor {
height: 100px;
}
::ng-deep #send {
float: right;
margin: 10px 0;
}
::ng-deep .message {
height: 85px;
background-color: var(--dx-component-color-bg);
display: inline-block;
max-width: 60%;
border-radius: 5px;
margin: 5px;
padding: 10px;
box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}
::ng-deep .name {
font-weight: bold;
}
::ng-deep .date {
color: var(--dx-color-icon);
}
::ng-deep .photo {
float: left;
height: 100%;
}
::ng-deep .photo > img {
width: 40px;
height: 40px;
display: block;
border-radius: 40px;
margin-right: 10px;
}
import { Injectable } from '@angular/core';
export class Employee {
text: string;
team: string;
icon: string;
}
const employees: Employee[] = [{
text: 'John Heart',
team: 'Engineering',
icon: '../../../../images/mentions/John-Heart.png',
}, {
text: 'Kevin Carter',
team: 'Engineering',
icon: '../../../../images/mentions/Kevin-Carter.png',
}, {
text: 'Olivia Peyton',
team: 'Management',
icon: '../../../../images/mentions/Olivia-Peyton.png',
}, {
text: 'Robert Reagan',
team: 'Management',
icon: '../../../../images/mentions/Robert-Reagan.png',
}, {
text: 'Cynthia Stanwick',
team: 'Engineering',
icon: '../../../../images/mentions/Cynthia-Stanwick.png',
}, {
text: 'Brett Wade ',
team: 'Analysis',
icon: '../../../../images/mentions/Brett-Wade.png',
}, {
text: 'Greta Sims',
team: 'QA',
icon: '../../../../images/mentions/Greta-Sims.png',
},
];
@Injectable()
export class Service {
getEmployees(): Employee[] {
return employees;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.0.2"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>